> ## Documentation Index
> Fetch the complete documentation index at: https://docs.quoindata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# get_evidence



## OpenAPI

````yaml https://portal.quoindata.com/api/v2/openapi.json post /api/v2/evidence-lookups
openapi: 3.1.0
info:
  title: Quoin Property Intelligence API
  version: quoin-v2
  description: Tenant-scoped source-linked property data.
servers:
  - url: https://portal.quoindata.com
security:
  - bearer_auth: []
paths:
  /api/v2/evidence-lookups:
    post:
      summary: get_evidence
      operationId: get_evidence
      parameters:
        - name: Idempotency-Key
          in: header
          required: false
          description: >-
            Unique key for one logical POST. Reuse is replay-safe or returns a
            conflict.
          schema:
            type: string
            minLength: 1
            maxLength: 256
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/get_evidence'
      responses:
        '200':
          description: Canonical response envelope.
          headers:
            X-Quoin-Balance-Micro-USD:
              description: Remaining welcome credit after the call, in micro-USD.
              schema:
                type: integer
                format: int64
            X-Quoin-Held-Micro-USD:
              description: Outstanding reserved credit after settlement, in micro-USD.
              schema:
                type: integer
                format: int64
                minimum: 0
            X-Quoin-Price-Micro-USD:
              description: Rate snapshot price for the admitted call, in micro-USD.
              schema:
                type: integer
                format: int64
                minimum: 0
            X-Quoin-Rate-Version:
              description: Version of the rate card used for the admitted call.
              schema:
                type: string
            X-Quoin-Calls-30d:
              description: Account call count in the rolling 30-day window.
              schema:
                type: integer
                format: int64
                minimum: 0
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseEnvelopeV2_get_evidence'
        '400':
          $ref: '#/components/responses/Error'
        '401':
          $ref: '#/components/responses/Error'
        '402':
          $ref: '#/components/responses/Error'
        '403':
          $ref: '#/components/responses/Error'
        '409':
          $ref: '#/components/responses/Error'
        '413':
          $ref: '#/components/responses/Error'
        '422':
          $ref: '#/components/responses/Error'
        '429':
          $ref: '#/components/responses/Error'
        '500':
          $ref: '#/components/responses/Error'
        '503':
          $ref: '#/components/responses/Error'
        default:
          $ref: '#/components/responses/Error'
      security:
        - bearer_auth: []
components:
  schemas:
    get_evidence:
      type: object
      properties:
        source_refs:
          minItems: 1
          maxItems: 50
          type: array
          items:
            type: string
            minLength: 1
            maxLength: 512
        include_verification_routes:
          default: true
          type: boolean
      required:
        - source_refs
      additionalProperties: false
    ResponseEnvelopeV2_get_evidence:
      type: object
      properties:
        contract_version:
          type: string
          const: quoin-v2
        request_id:
          type: string
          minLength: 1
          maxLength: 512
        operation:
          type: string
          minLength: 1
          maxLength: 256
        status:
          type: string
          enum:
            - ok
            - partial
            - error
        data:
          anyOf:
            - type: object
              properties:
                evidence:
                  maxItems: 50
                  type: array
                  items:
                    anyOf:
                      - type: object
                        properties:
                          source_ref:
                            type: string
                            minLength: 1
                            maxLength: 512
                            pattern: ^qev1\.[ir]\.
                          outcome:
                            type: string
                            const: ok
                          source_id:
                            type: string
                            minLength: 1
                            maxLength: 256
                          source_release_id:
                            type: string
                            pattern: ^[1-9][0-9]*$
                          source_record_key:
                            type: string
                          source_row_sha256:
                            type: string
                            pattern: ^[0-9a-f]{64}$
                          snapshot_retrieved_at:
                            anyOf:
                              - type: string
                                minLength: 1
                                maxLength: 64
                              - type: 'null'
                          source_updated_at:
                            anyOf:
                              - type: string
                                minLength: 1
                                maxLength: 64
                              - type: 'null'
                          data_effective_at:
                            anyOf:
                              - type: string
                                minLength: 1
                                maxLength: 64
                              - type: 'null'
                          source_kind:
                            type: string
                            const: canonical_identifier
                          entity_ref:
                            anyOf:
                              - type: string
                                minLength: 1
                                maxLength: 512
                              - type: 'null'
                          claim:
                            type: object
                            properties:
                              entity_uid:
                                type: string
                                format: uuid
                                pattern: >-
                                  ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                              authority_uid:
                                type: string
                                minLength: 1
                                maxLength: 256
                              namespace:
                                type: string
                                minLength: 1
                                maxLength: 256
                              identifier_kind:
                                type: string
                                minLength: 1
                                maxLength: 256
                              raw_value:
                                type: string
                            required:
                              - entity_uid
                              - authority_uid
                              - namespace
                              - identifier_kind
                              - raw_value
                            additionalProperties: {}
                        required:
                          - source_ref
                          - outcome
                          - source_id
                          - source_release_id
                          - source_record_key
                          - source_row_sha256
                          - snapshot_retrieved_at
                          - source_updated_at
                          - data_effective_at
                          - source_kind
                          - entity_ref
                          - claim
                        additionalProperties: {}
                      - type: object
                        properties:
                          source_ref:
                            type: string
                            minLength: 1
                            maxLength: 512
                            pattern: ^qev1\.[ir]\.
                          outcome:
                            type: string
                            const: ok
                          source_id:
                            type: string
                            minLength: 1
                            maxLength: 256
                          source_release_id:
                            type: string
                            pattern: ^[1-9][0-9]*$
                          source_record_key:
                            type: string
                          source_row_sha256:
                            type: string
                            pattern: ^[0-9a-f]{64}$
                          snapshot_retrieved_at:
                            anyOf:
                              - type: string
                                minLength: 1
                                maxLength: 64
                              - type: 'null'
                          source_updated_at:
                            anyOf:
                              - type: string
                                minLength: 1
                                maxLength: 64
                              - type: 'null'
                          data_effective_at:
                            anyOf:
                              - type: string
                                minLength: 1
                                maxLength: 64
                              - type: 'null'
                          source_kind:
                            type: string
                            const: canonical_relationship
                          claim:
                            type: object
                            properties:
                              relationship_uid:
                                type: string
                                format: uuid
                                pattern: >-
                                  ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                              generation_id:
                                type: string
                                pattern: ^[1-9][0-9]*$
                              subject_entity_uid:
                                type: string
                                format: uuid
                                pattern: >-
                                  ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                              object_entity_uid:
                                type: string
                                format: uuid
                                pattern: >-
                                  ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                              subject_ref:
                                anyOf:
                                  - type: string
                                    minLength: 1
                                    maxLength: 512
                                  - type: 'null'
                              object_ref:
                                anyOf:
                                  - type: string
                                    minLength: 1
                                    maxLength: 512
                                  - type: 'null'
                              predicate:
                                type: string
                                minLength: 1
                                maxLength: 256
                              precision:
                                anyOf:
                                  - type: string
                                    enum:
                                      - exact
                                      - contextual
                                      - ambiguous
                                  - type: 'null'
                              method:
                                anyOf:
                                  - type: string
                                    minLength: 1
                                    maxLength: 256
                                  - type: 'null'
                              confidence:
                                anyOf:
                                  - type: number
                                    minimum: 0
                                    maximum: 1
                                  - type: 'null'
                            required:
                              - relationship_uid
                              - generation_id
                              - subject_entity_uid
                              - object_entity_uid
                              - subject_ref
                              - object_ref
                              - predicate
                              - precision
                              - method
                              - confidence
                            additionalProperties: {}
                          relationship:
                            type: object
                            properties:
                              relationship_uid:
                                type: string
                                format: uuid
                                pattern: >-
                                  ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                              generation_id:
                                type: string
                                pattern: ^[1-9][0-9]*$
                              subject_entity_uid:
                                type: string
                                format: uuid
                                pattern: >-
                                  ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                              object_entity_uid:
                                type: string
                                format: uuid
                                pattern: >-
                                  ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                              subject_ref:
                                anyOf:
                                  - type: string
                                    minLength: 1
                                    maxLength: 512
                                  - type: 'null'
                              object_ref:
                                anyOf:
                                  - type: string
                                    minLength: 1
                                    maxLength: 512
                                  - type: 'null'
                              predicate:
                                type: string
                                minLength: 1
                                maxLength: 256
                              precision:
                                anyOf:
                                  - type: string
                                    enum:
                                      - exact
                                      - contextual
                                      - ambiguous
                                  - type: 'null'
                              method:
                                anyOf:
                                  - type: string
                                    minLength: 1
                                    maxLength: 256
                                  - type: 'null'
                              confidence:
                                anyOf:
                                  - type: number
                                    minimum: 0
                                    maximum: 1
                                  - type: 'null'
                            required:
                              - relationship_uid
                              - generation_id
                              - subject_entity_uid
                              - object_entity_uid
                              - subject_ref
                              - object_ref
                              - predicate
                              - precision
                              - method
                              - confidence
                            additionalProperties: {}
                        required:
                          - source_ref
                          - outcome
                          - source_id
                          - source_release_id
                          - source_record_key
                          - source_row_sha256
                          - snapshot_retrieved_at
                          - source_updated_at
                          - data_effective_at
                          - source_kind
                          - claim
                          - relationship
                        additionalProperties: {}
                      - type: object
                        properties:
                          source_ref:
                            type: string
                            minLength: 1
                            maxLength: 512
                          outcome:
                            type: string
                            enum:
                              - invalid_reference
                              - not_found
                          error:
                            type: object
                            properties:
                              code:
                                type: string
                                minLength: 1
                                maxLength: 256
                              message:
                                type: string
                            required:
                              - code
                              - message
                        required:
                          - source_ref
                          - outcome
                          - error
                        additionalProperties: {}
                      - type: object
                        properties:
                          source_ref:
                            type: string
                            minLength: 1
                            maxLength: 512
                          field_key:
                            type: string
                            minLength: 1
                            maxLength: 256
                          source_kind:
                            type: string
                            minLength: 1
                            maxLength: 256
                        required:
                          - source_ref
                          - field_key
                        additionalProperties: {}
                verification_policy:
                  type: string
                  minLength: 1
                  maxLength: 4000
                verification_routes:
                  maxItems: 200
                  type: array
                  items:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties: {}
              required:
                - evidence
                - verification_policy
              additionalProperties: {}
            - type: 'null'
        error:
          anyOf:
            - type: object
              properties:
                code:
                  type: string
                  minLength: 1
                  maxLength: 256
                message:
                  type: string
                  minLength: 1
                  maxLength: 4000
                retryable:
                  type: boolean
                retry_after_seconds:
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
                details: {}
              required:
                - code
                - message
                - retryable
              additionalProperties: false
            - type: 'null'
        meta:
          type: object
          properties:
            served_at:
              type: string
              minLength: 1
              maxLength: 64
            publication_id:
              type: string
              minLength: 1
              maxLength: 256
            generation_ids:
              maxItems: 100
              type: array
              items:
                type: string
                minLength: 1
                maxLength: 256
            truncated:
              type: boolean
            next_cursor:
              type: string
              minLength: 1
              maxLength: 4096
            warnings:
              maxItems: 100
              type: array
              items:
                type: string
                maxLength: 1000
            usage_units:
              type: number
              minimum: 0
          required:
            - served_at
            - truncated
          additionalProperties: false
        provenance:
          anyOf:
            - type: object
              properties:
                source_refs:
                  maxItems: 100
                  type: array
                  items:
                    type: string
                    minLength: 1
                    maxLength: 512
                sources:
                  maxItems: 100
                  type: array
                  items:
                    type: object
                    properties:
                      source_ref:
                        type: string
                        minLength: 1
                        maxLength: 512
                      source_kind:
                        type: string
                        minLength: 1
                        maxLength: 256
                      publisher:
                        type: string
                        minLength: 1
                        maxLength: 256
                      release_id:
                        type: string
                        minLength: 1
                        maxLength: 256
                      captured_at:
                        type: string
                        minLength: 1
                        maxLength: 64
                      official_url:
                        type: string
                        maxLength: 2048
                        format: uri
                    required:
                      - source_ref
                      - source_kind
                    additionalProperties: false
              required:
                - source_refs
                - sources
              additionalProperties: false
            - type: 'null'
      required:
        - contract_version
        - request_id
        - operation
        - status
        - data
        - error
        - meta
      additionalProperties: false
    ResponseEnvelopeV2:
      type: object
      properties:
        contract_version:
          type: string
          const: quoin-v2
        request_id:
          type: string
          minLength: 1
          maxLength: 512
        operation:
          type: string
          minLength: 1
          maxLength: 256
        status:
          type: string
          enum:
            - ok
            - partial
            - error
        data:
          anyOf:
            - {}
            - type: 'null'
        error:
          anyOf:
            - type: object
              properties:
                code:
                  type: string
                  minLength: 1
                  maxLength: 256
                message:
                  type: string
                  minLength: 1
                  maxLength: 4000
                retryable:
                  type: boolean
                retry_after_seconds:
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
                details: {}
              required:
                - code
                - message
                - retryable
              additionalProperties: false
            - type: 'null'
        meta:
          type: object
          properties:
            served_at:
              type: string
              minLength: 1
              maxLength: 64
            publication_id:
              type: string
              minLength: 1
              maxLength: 256
            generation_ids:
              maxItems: 100
              type: array
              items:
                type: string
                minLength: 1
                maxLength: 256
            truncated:
              type: boolean
            next_cursor:
              type: string
              minLength: 1
              maxLength: 4096
            warnings:
              maxItems: 100
              type: array
              items:
                type: string
                maxLength: 1000
            usage_units:
              type: number
              minimum: 0
          required:
            - served_at
            - truncated
          additionalProperties: false
        provenance:
          anyOf:
            - type: object
              properties:
                source_refs:
                  maxItems: 100
                  type: array
                  items:
                    type: string
                    minLength: 1
                    maxLength: 512
                sources:
                  maxItems: 100
                  type: array
                  items:
                    type: object
                    properties:
                      source_ref:
                        type: string
                        minLength: 1
                        maxLength: 512
                      source_kind:
                        type: string
                        minLength: 1
                        maxLength: 256
                      publisher:
                        type: string
                        minLength: 1
                        maxLength: 256
                      release_id:
                        type: string
                        minLength: 1
                        maxLength: 256
                      captured_at:
                        type: string
                        minLength: 1
                        maxLength: 64
                      official_url:
                        type: string
                        maxLength: 2048
                        format: uri
                    required:
                      - source_ref
                      - source_kind
                    additionalProperties: false
              required:
                - source_refs
                - sources
              additionalProperties: false
            - type: 'null'
      required:
        - contract_version
        - request_id
        - operation
        - status
        - data
        - error
        - meta
      additionalProperties: false
  responses:
    Error:
      description: Canonical error response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ResponseEnvelopeV2'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: qk_...
      description: >-
        Send `Authorization: Bearer qk_…` using an API key created in the Quoin
        Developer Portal.

````